Bug 1862902

Summary: Review Request: R-tesseract - Open Source OCR Engine
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:07:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1862895    
Bug Blocks:    

Description Elliott Sales de Andrade 2020-08-03 08:08:40 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-tesseract/R-tesseract.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-tesseract/R-tesseract-4.1-1.fc31.src.rpm

Description:
Bindings to 'Tesseract' <https://opensource.google.com/projects/tesseract>:
a powerful optical character recognition (OCR) engine that supports over
100 languages. The engine is highly configurable in order to tune the
detection algorithms and obtain the best possible results.

Comment 1 José Matos 2020-08-05 21:05:18 UTC
There is an error in the spec file.

Instead of
BuildRequires:    R-Rcpp >= 0.12.12

you should BR the -devel subpackage or else the compilation fails with:
rm -f tesseract.so RcppExports.o tesseract.o
g++ -std=gnu++11 -I"/usr/include/R" -DNDEBUG -I/usr/include/leptonica  -I'/usr/lib64/R/library/Rcpp/include' -I/usr/local/include  -fvisibility=hidden -fpic  -O2 -flto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -c RcppExports.cpp -o RcppExports.o
In file included from RcppExports.cpp:4:
tesseract_types.h:7:10: fatal error: Rcpp.h: No such file or directory
    7 | #include <Rcpp.h>
      |          ^~~~~~~~
compilation terminated.

Comment 2 Elliott Sales de Andrade 2020-08-06 08:45:22 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-tesseract/R-tesseract.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-tesseract/R-tesseract-4.1-2.fc31.src.rpm

Use correct R-Rcpp-devel BuildRequires

Comment 3 José Matos 2020-08-06 09:26:07 UTC
Thanks.
fedora-review throws:

- Package have the default element marked as %%doc :doc, DESCRIPTION, NEWS
- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

So nothing to see here.

The license is correct and the package builds and install in rawhide so the package is approved.

Comment 4 Gwyn Ciesla 2020-08-06 20:46:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-tesseract

Comment 5 Fedora Update System 2020-08-08 23:58:37 UTC
FEDORA-2020-91faae3ba0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-91faae3ba0

Comment 6 Fedora Update System 2020-08-09 00:02:06 UTC
FEDORA-2020-fc1057e572 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc1057e572

Comment 7 Fedora Update System 2020-08-09 03:01:48 UTC
FEDORA-2020-fc1057e572 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fc1057e572 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc1057e572

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-09 03:47:49 UTC
FEDORA-2020-91faae3ba0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-91faae3ba0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-91faae3ba0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-17 01:07:57 UTC
FEDORA-2020-fc1057e572 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-08-17 01:13:45 UTC
FEDORA-2020-91faae3ba0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.